Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Interface UrlMappingsHolder

    public interface UrlMappingsHolder

Main entry point of Grails URL mapping mechanism. This interface defines methods to match URLs and create reverse mappings based on the UrlMapping instances the implementor contains.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary
`java.lang.String` | `BEAN_ID`

Method Summary
`java.util.List` | `getExcludePatterns()` Retrieves the held Exclude Pattern instances as a list, could be null if there is no exclude
`UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map params)` Retrieves the best guess of a URI for the given controller, action and parameters
`UrlCreator` | `getReverseMapping(java.lang.String controller, java.lang.String action, java.util.Map params)` Retrieves the best guess of a URI for the given controller, action and parameters
`UrlCreator` | `getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.util.Map params)` Retrieves the best guess of a URI for the given controller, action and parameters or null if non could be found.
`UrlCreator` | `getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map params)` Retrieves the best guess of a URI for the given controller, action and parameters or null if non could be found.
`UrlMapping[]` | `getUrlMappings()` Retrieves the held UrlMapping instances as an array
`UrlMappingInfo` | `match(java.lang.String uri)` Match and return the first UrlMappingInfo instance possible
`UrlMappingInfo[]` | `matchAll(java.lang.String uri)` Matches all possible UrlMappingInfo instances to the given URI and returns them all
`UrlMappingInfo[]` | `matchAll(java.lang.String uri, java.lang.String httpMethod)` Match all possible UrlMappingInfo instances to the given URI and HTTP method
`UrlMappingInfo` | `matchStatusCode(int responseCode)` Match and return the first UrlMappingInfo instance possible
`UrlMappingInfo` | `matchStatusCode(int responseCode, java.lang.Throwable e)` Match and return for first UrlMappingInfo for the give response code and exception

Field Detail

### BEAN_ID

    public java.lang.String BEAN_ID

Method Detail

### getExcludePatterns

    @SuppressWarnings("rawtypes")
    public java.util.List getExcludePatterns()

  Retrieves the held Exclude Pattern instances as a list, could be null if there is no exclude
  Returns:
    An list of String

### getReverseMapping

    @SuppressWarnings("rawtypes")
    public UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map params)

  Retrieves the best guess of a URI for the given controller, action and parameters
  Parameters:
    `controller` - The name of the controller
    `action` - The name of the action or null
    `pluginName` - the name of the plugin which provides the controller
    `params` - The parameters or null
  Returns:
    A URI for the given arguments

### getReverseMapping

    @SuppressWarnings("rawtypes")
    public UrlCreator getReverseMapping(java.lang.String controller, java.lang.String action, java.util.Map params)

  Retrieves the best guess of a URI for the given controller, action and parameters
  Parameters:
    `controller` - The name of the controller
    `action` - The name of the action or null
    `params` - The parameters or null
  Returns:
    A URI for the given arguments

### getReverseMappingNoDefault

    @SuppressWarnings("rawtypes")
    public UrlCreator getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.util.Map params)

  Retrieves the best guess of a URI for the given controller, action and parameters or null if non could be found.
  Parameters:
    `controller` - The name of the controller
    `action` - The name of the action or null
    `params` - The parameters or null
  Returns:
    A URI for the given arguments

### getReverseMappingNoDefault

    @SuppressWarnings("rawtypes")
    public UrlCreator getReverseMappingNoDefault(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map params)

  Retrieves the best guess of a URI for the given controller, action and parameters or null if non could be found.
  Parameters:
    `controller` - The name of the controller
    `action` - The name of the action or null
    `pluginName` - the name of the plugin which provides the controller
    `params` - The parameters or null
  Returns:
    A URI for the given arguments

### getUrlMappings

    public UrlMapping[] getUrlMappings()

  Retrieves the held UrlMapping instances as an array
  Returns:
    An array of UrlMapping instances

### match

    public UrlMappingInfo match(java.lang.String uri)

  Match and return the first UrlMappingInfo instance possible
  Parameters:
    `uri` - The URI to match
  Returns:
    A UrlMappingInfo or null

### matchAll

    public UrlMappingInfo[] matchAll(java.lang.String uri)

  Matches all possible UrlMappingInfo instances to the given URI and returns them all
  Parameters:
    `uri` - The URI to match
  Returns:
    An array of 0 or many UrlMappngInfo instances

### matchAll

    public UrlMappingInfo[] matchAll(java.lang.String uri, java.lang.String httpMethod)

  Match all possible UrlMappingInfo instances to the given URI and HTTP method
  Parameters:
    `uri` - The URI to match
    `httpMethod` - The HTTP method (GET,POST,PUT,DELETE etc.)
  Returns:
    An array of 0 or many UrlMappingInfo instances

### matchStatusCode

    public UrlMappingInfo matchStatusCode(int responseCode)

  Match and return the first UrlMappingInfo instance possible
  Parameters:
    `responseCode` - The responseCode to match
  Returns:
    A UrlMappingInfo or null

### matchStatusCode

    public UrlMappingInfo matchStatusCode(int responseCode, java.lang.Throwable e)

  Match and return for first UrlMappingInfo for the give response code and exception
  Parameters:
    `responseCode` - The response code
    `e` - The exception
  Returns:
    The UrlMappingInfo instance

Groovy Documentation